ULabel(3U)

NAME
ULabel - structured graphic displaying one line of text

SYNOPSIS
#include <Unidraw/Graphic/label.h>

DESCRIPTION
A ULabel is a Graphic that displays one line of text. It stores a PSFont to define the font in which the text appears. With no transformation, the text will be drawn with its bounding box's lower-left corner at the origin.

PUBLIC OPERATIONS

ULabel(const char* text, Graphic* = nil)
    Construct a label, supplying a null-terminated string in text and an optional graphic from which to obtain an initial set of graphics state. ULabel stores a copy text internally.

const char* GetOriginal()
    Return a pointer to the text that the label stores internally.

SEE ALSO
Graphic(3U), pspaint(3U)